# Conversations Endpoint

The Conversations endpoint returns data about the Conversations your bot has with your customers. Conversation data includes the following fields.

| **Conversation ID** (\_id)                       | Unique id for the conversation                                                                        |
| ------------------------------------------------ | ----------------------------------------------------------------------------------------------------- |
| **Start Time** (startTime)                       | The conversation's start time.                                                                        |
| **Last conversation action time** (lastActionAt) | The time of last conversation update.                                                                 |
| **Locale** (locale)                              | Locale of the conversation                                                                            |
| **Tags** (tags)                                  | List of the tags added to the conversation such as resolved, informed, liveChat etc.                  |
| **Metadata** (metadata)                          | All the metadata stored as part of the conversation. This will include system and user set parameters |

Here is a sample request for the conversations endpoint

````python
```python
import requests

url = "https://api.converseapps.com/conversations/export/v1/conversations"

params={
  'start_time': 1696118400,
  'end_time': 1696550400,
  'bot_name': 'r3-218210',
  'per_page': 1000
}
headers = {
  'x-api-key': '<api_key>',
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```
````

To iterate through the results pass the `cursor` value till the cursor returned by the API is `null`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deepconverse.com/product-docs/analytics/export-api/conversations-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
